Uses of Interface
org.apache.camel.builder.endpoint.dsl.BlobEndpointBuilderFactory.BlobEndpointBuilder
Packages that use BlobEndpointBuilderFactory.BlobEndpointBuilder
-
Uses of BlobEndpointBuilderFactory.BlobEndpointBuilder in org.apache.camel.builder.endpoint
Methods in org.apache.camel.builder.endpoint that return BlobEndpointBuilderFactory.BlobEndpointBuilderModifier and TypeMethodDescriptionStaticEndpointBuilders.azureStorageBlob(String path) Azure Storage Blob Service (camel-azure-storage-blob) Store and retrieve blobs from Azure Storage Blob Service.StaticEndpointBuilders.azureStorageBlob(String componentName, String path) Azure Storage Blob Service (camel-azure-storage-blob) Store and retrieve blobs from Azure Storage Blob Service. -
Uses of BlobEndpointBuilderFactory.BlobEndpointBuilder in org.apache.camel.builder.endpoint.dsl
Methods in org.apache.camel.builder.endpoint.dsl that return BlobEndpointBuilderFactory.BlobEndpointBuilderModifier and TypeMethodDescriptionAccess key for the associated azure account name to be used for authentication with azure blob services.BlobEndpointBuilderFactory.BlobBuilders.azureStorageBlob(String path) Azure Storage Blob Service (camel-azure-storage-blob) Store and retrieve blobs from Azure Storage Blob Service.BlobEndpointBuilderFactory.BlobBuilders.azureStorageBlob(String componentName, String path) Azure Storage Blob Service (camel-azure-storage-blob) Store and retrieve blobs from Azure Storage Blob Service.BlobEndpointBuilderFactory.AdvancedBlobEndpointBuilder.basic()The blob name, to consume specific blob from a container.BlobEndpointBuilderFactory.BlobEndpointBuilder.blobOffset(long blobOffset) Set the blob offset for the upload or download operations, default is 0.BlobEndpointBuilderFactory.BlobEndpointBuilder.blobOffset(String blobOffset) Set the blob offset for the upload or download operations, default is 0.BlobEndpointBuilderFactory.BlobEndpointBuilder.blobServiceClient(com.azure.storage.blob.BlobServiceClient blobServiceClient) Client to a storage account.BlobEndpointBuilderFactory.BlobEndpointBuilder.blobServiceClient(String blobServiceClient) Client to a storage account.The blob type in order to initiate the appropriate settings for each blob type.BlobEndpointBuilderFactory.BlobEndpointBuilder.blobType(org.apache.camel.component.azure.storage.blob.BlobType blobType) The blob type in order to initiate the appropriate settings for each blob type.BlobEndpointBuilderFactory.BlobEndpointBuilder.closeStreamAfterRead(boolean closeStreamAfterRead) Close the stream after read or keep it open, default is true.BlobEndpointBuilderFactory.BlobEndpointBuilder.closeStreamAfterRead(String closeStreamAfterRead) Close the stream after read or keep it open, default is true.BlobEndpointBuilderFactory.BlobEndpointBuilder.credentials(com.azure.storage.common.StorageSharedKeyCredential credentials) StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information.BlobEndpointBuilderFactory.BlobEndpointBuilder.credentials(String credentials) StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information.BlobEndpointBuilderFactory.BlobEndpointBuilder.credentialType(String credentialType) Determines the credential strategy to adopt.BlobEndpointBuilderFactory.BlobEndpointBuilder.credentialType(org.apache.camel.component.azure.storage.blob.CredentialType credentialType) Determines the credential strategy to adopt.How many bytes to include in the range.How many bytes to include in the range.BlobEndpointBuilderFactory.endpointBuilder(String componentName, String path) The file directory where the downloaded blobs will be saved to, this can be used in both, producer and consumer.BlobEndpointBuilderFactory.BlobEndpointBuilder.maxResultsPerPage(Integer maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements.BlobEndpointBuilderFactory.BlobEndpointBuilder.maxResultsPerPage(String maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements.BlobEndpointBuilderFactory.BlobEndpointBuilder.maxRetryRequests(int maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body.BlobEndpointBuilderFactory.BlobEndpointBuilder.maxRetryRequests(String maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body.Filters the results to return only blobs whose names begin with the specified prefix.Filters the results to return only blobs whose names match the specified regular expression.In case of usage of Shared Access Signature we'll need to set a SAS Token.BlobEndpointBuilderFactory.BlobEndpointBuilder.serviceClient(com.azure.storage.blob.BlobServiceClient serviceClient) Client to a storage account.BlobEndpointBuilderFactory.BlobEndpointBuilder.serviceClient(String serviceClient) Client to a storage account.BlobEndpointBuilderFactory.BlobEndpointBuilder.sourceBlobAccessKey(String sourceBlobAccessKey) Source Blob Access Key: for copyblob operation, sadly, we need to have an accessKey for the source blob we want to copy Passing an accessKey as header, it's unsafe so we could set as key.An optional timeout value beyond which a RuntimeException will be raised.An optional timeout value beyond which a RuntimeException will be raised.